﻿using System;
using System.Collections.Generic;
using System.Text;
using WindowsLive.Writer.Api;

namespace SignaturePlugin
{
    public class Settings
    {
        IProperties m_properties;

        public Settings(IProperties properties)
        {
            m_properties = properties;
        }

        public string[] SettingValues
        {
            get { return m_properties.Names; }
        }

        public string CurrentBlog;

        internal string settingname;

        public string Signature
        {
            get { return m_properties.GetString(settingname, ""); }
            set { m_properties.SetString(settingname, value); }
        }
    }
}
