﻿using System;
using System.Collections.Generic;
using System.Text;
using WindowsLive.Writer.Api;

namespace InsertEmoticonPlugin
{
    public class Settings
    {
        IProperties m_properties;
        public Settings(IProperties properties)
        {
            m_properties = properties;
        }

        public bool Automatic
        {
            get { return m_properties.GetBoolean("Auto", false); }
            set { m_properties.SetBoolean("Auto", value); }
        }

        public bool NonDefaultSize
        {
            get { return m_properties.GetBoolean("NoDefault", false); }
            set { m_properties.SetBoolean("NoDefault", value); }
        }

        public int Size
        {
            get { return m_properties.GetInt("Size", 19); }
            set { m_properties.SetInt("Size", value); }
        }
    }
}
